import request from '@/utils/request'

// 查询子区域列表
export function listAreaSub(query) {
  return request({
    url: '/bst/areaSub/list',
    method: 'get',
    params: query
  })
}

// 根据运营区ID查询子区域列表
export function listByAreaId(query) {
  return request({
    url: '/bst/areaSub/listByAreaId',
    method: 'get',
    params: query
  })
}


// 查询子区域详细
export function getAreaSub(id) {
  return request({
    url: '/bst/areaSub/' + id,
    method: 'get'
  })
}

// 新增子区域
export function addAreaSub(data) {
  return request({
    url: '/bst/areaSub',
    method: 'post',
    data: data
  })
}

// 修改子区域
export function updateAreaSub(data) {
  return request({
    url: '/bst/areaSub',
    method: 'put',
    data: data
  })
}

// 删除子区域
export function delAreaSub(id) {
  return request({
    url: '/bst/areaSub/' + id,
    method: 'delete'
  })
}
